# Get applicant

Get data on a created applicant

Endpoint: GET /applicants/{applicant_id}
Version: 1.0
Security: API-Key

## Path parameters:

  - `applicant_id` (string, required)
    A unique identifier of an applicant, that is assigned by our system after an applicant object was created with a “Create an applicant” request
    Example: "723f46ab04feb64f442946f2953a67eaecf7"

## Response 200 fields (application/json):

  - `body` (object or (Array of objects or arrays or object)) — one of:
    - KYC applicant (a person):
      - `applicant_id` (string)
        A unique identifier of an applicant, that is assigned by our system after an applicant object was created with a “Create an applicant” request
      - `external_applicant_id` (string,null)
        A unique identifier of your user in your system
      - `type` (string)
        A type of an applicant object. PERSON type is used for KYC process, and COMPANY type is used for KYB process
        Enum: "PERSON"
      - `created_at` (string)
        A date and time of creation of an object, set by our system
      - `profile_status` (string,null)
        A status of an object profile verification, set by our system or our manager
        Enum: "valid", "invalid"
      - `profile_comment` (string,null)
        A custom comment left by our manager for an object
      - `first_name` (string,null)
        The first name of a person
      - `origin_first_name` (string,null)
        A first name of an object, set in a native language
      - `middle_name` (string,null)
        The middle name of a person
      - `origin_middle_name` (string,null)
        A middle name of an object, set in a native language
      - `last_name` (string,null)
        The last name of a person
      - `origin_last_name` (string,null)
        A last name of an entity, set in a native language
      - `residence_country` (string,null)
        A residence country of an object. A two-letter country code according to ISO 3166-2
      - `nationality` (string,null)
        A nationality country of a person. A two-letter country code according to ISO 3166-2
      - `dob` (string,null)
        The date of birth of a person, formatted as “YYYY-MM-DD” according to ISO 8601
      - `gender` (string,null)
        The gender of a person. M indicates male; F indicates female
        Enum: "M", "F"
      - `email` (string,null)
        The email address of a person or a company
      - `phone` (string,null)
        The phone number of a person or a company
      - `phone_status` (string,null)
        A status of an object phone verification, set by our system or our manager
        Enum: same as `profile_status` in "KYC applicant (a person)" (2 values)
      - `wallet_address` (string,null)
        A cryptocurrency wallet address of an object
      - `telegram_username` (string,null)
        A username of an object in Telegram instant messaging service
      - `pep` (boolean,null)
        The status of a person as a politically exposed person (PEP)
        Enum: true, false
      - `custom_field_1` (string,null)
        A custom parameter to store additional data for an object by your managers
      - `custom_field_2` (string,null)
        A custom parameter to store additional data for an object by your managers
      - `custom_field_3` (string,null)
        A custom parameter to store additional data for an object by your managers
      - `custom_field_4` (string,null)
        A custom parameter to store additional data for an object by your managers
      - `custom_field_5` (string,null)
        A custom parameter to store additional data for an object by your managers
      - `decline_reasons` (any)
      - `addresses` (any)
      - `documents` (any)
      - `questionnaires` (any)
      - `verification_status` (any)
      - `verifications_count` (any)
    - KYC applicant (a company):
      - `applicant_id` (string)
        A unique identifier of an applicant, that is assigned by our system after an applicant object was created with a “Create an applicant” request
      - `external_applicant_id` (string,null)
        A unique identifier of your user in your system
      - `type` (string)
        A type of an applicant object. PERSON type is used for KYC process, and COMPANY type is used for KYB process
        Enum: "COMPANY"
      - `created_at` (string)
        A date and time of creation of an object, set by our system
      - `profile_status` (string,null)
        A status of an object profile verification, set by our system or our manager
        Enum: same as `profile_status` in "KYC applicant (a person)" (2 values)
      - `profile_comment` (string,null)
        A custom comment left by our manager for an object
      - `first_name` (string,null)
        The first name of a person
      - `origin_first_name` (string,null)
        A first name of an object, set in a native language
      - `middle_name` (string,null)
        The middle name of a person
      - `origin_middle_name` (string,null)
        A middle name of an object, set in a native language
      - `last_name` (string,null)
        The last name of a person
      - `origin_last_name` (string,null)
        A last name of an entity, set in a native language
      - `residence_country` (string,null)
        A residence country of an object. A two-letter country code according to ISO 3166-2
      - `nationality` (string,null)
        A nationality country of a person. A two-letter country code according to ISO 3166-2
      - `dob` (string,null)
        The date of birth of a person, formatted as “YYYY-MM-DD” according to ISO 8601
      - `gender` (string,null)
        The gender of a person. M indicates male; F indicates female
        Enum: same as `gender` in "KYC applicant (a person)" (2 values)
      - `email` (string,null)
        The email address of a person or a company
      - `phone` (string,null)
        The phone number of a person or a company
      - `phone_status` (string,null)
        A status of an object phone verification, set by our system or our manager
        Enum: same as `profile_status` in "KYC applicant (a person)" (2 values)
      - `wallet_address` (string,null)
        A cryptocurrency wallet address of an object
      - `telegram_username` (string,null)
        A username of an object in Telegram instant messaging service
      - `pep` (boolean,null)
        The status of a person as a politically exposed person (PEP)
        Enum: same as `pep` in "KYC applicant (a person)" (2 values)
      - `custom_field_1` (string,null)
        A custom parameter to store additional data for an object by your managers
      - `custom_field_2` (string,null)
        A custom parameter to store additional data for an object by your managers
      - `custom_field_3` (string,null)
        A custom parameter to store additional data for an object by your managers
      - `custom_field_4` (string,null)
        A custom parameter to store additional data for an object by your managers
      - `custom_field_5` (string,null)
        A custom parameter to store additional data for an object by your managers
      - `decline_reasons` (array)
        A reason for verification decline for an entity, set by our system
        Enum: "AGE_RESTRICTION", "BAD_QUALITY", "COMPROMISED_PERSON", "COMPULSION", "DIFFERENT_FACES", "DOCUMENT_DAMAGED", "DOCUMENT_INCOMPLETE", "DUPLICATE", "EDITED_DOCUMENT", "EXPIRED_DOCUMENT", "EXPIRES_LESS_3_MONTHS", "FAKE_DOCUMENT", "MULTIPLE_PERSON", "NO_SELFIE", "OTHER", "PROHIBITED_JURISDICTION", "WRONG_DOB", "WRONG_DOCUMENT", "WRONG_INFO", "WRONG_NAME"
      - `addresses` (any)
      - `documents` (any)
      - `questionnaires` (any)
      - `verification_status` (any)
      - `verifications_count` (any)

## Response 400 fields (application/json):

  - `type` (string)
    Example: "bad_request"

  - `errors` (array)

## Response 402 fields (application/json):

  - `type` (string)
    Example: "insufficient_funds"

  - `errors` (array)

## Response 404 fields (application/json):

  - `body` (object) — one of:
    - Applicant was not found:
      - `type` (string)
        Example: "not_found"
      - `errors` (array)
      - `errors.parameter` (string)
        Example: "applicant_id"
      - `errors.message` (string)
        Example: "Applicant was not found"
    - Verification was not found:
      - `type` (string)
        Example: "not_found"
      - `errors` (array)
      - `errors.parameter` (string)
        Example: "verification_id"
      - `errors.message` (string)
        Example: "Verification was not found"

## Response 429 fields (application/json):

  - `type` (string)
    Example: "flow"

  - `errors` (array)

  - `errors.parameter` (string)
    Example: "limit_exceeded"

  - `errors.message` (string)
    Example: "Rate limit exceeded"

## Response 500 fields (application/json):

  - `type` (string)
    Example: "internal_server"

  - `errors` (array)


